import { WebDisplayDensityBaseElementDescription } from "./WebDisplayDensityBaseElementDescription";
import { WebOverlaySettingsDescription } from "./WebOverlaySettingsDescription";
import { WebPaginatorResourceStringsDescription } from "./WebPaginatorResourceStringsDescription";
import { Type } from "./type";
/**
 * @hidden
 */
export declare class WebPaginatorDescription extends WebDisplayDensityBaseElementDescription {
    static $t: Type;
    protected get_type(): string;
    constructor();
    private s;
    get totalPages(): number;
    set totalPages(a: number);
    private q;
    get page(): number;
    set page(a: number);
    private r;
    get perPage(): number;
    set perPage(a: number);
    private t;
    get totalRecords(): number;
    set totalRecords(a: number);
    private k;
    get selectOptions(): number[];
    set selectOptions(a: number[]);
    private m;
    get overlaySettings(): WebOverlaySettingsDescription;
    set overlaySettings(a: WebOverlaySettingsDescription);
    private o;
    get resourceStrings(): WebPaginatorResourceStringsDescription;
    set resourceStrings(a: WebPaginatorResourceStringsDescription);
    private ab;
    get perPageChangeRef(): string;
    set perPageChangeRef(a: string);
    private y;
    get pageChangeRef(): string;
    set pageChangeRef(a: string);
    private z;
    get pagingRef(): string;
    set pagingRef(a: string);
    private aa;
    get pagingDoneRef(): string;
    set pagingDoneRef(a: string);
}
